#!/bin/csh
#
#  This script displays contens of the comments area of binary kernels 
#  (using clcommnt -r) and beginning of all text kernel (using more) 
#  in all subdirectories under current directory. This comes handy 
#  when a bunch of labels was inserted into the files and has to be 
#  visually checked. 
#
#  BVS/NAIF, October 6, 2003   
#
foreach FF ( `find . -name '*.BSP' -print` `find . -name '*.BC' -print` `find . -name '*.BES' -print` `find . -name '*.BDB' -print` `find . -name '*.BPC' -print`)
   echo " "
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo "clcommnt -r "$FF 
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   clcommnt -r $FF | more -20
end
foreach FF ( `find . -name '*.bsp' -print` `find . -name '*.bc' -print` `find . -name '*.bes' -print` `find . -name '*.bdb' -print` `find . -name '*.bpc' -print`)
   echo " "
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo "clcommnt -r "$FF 
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   clcommnt -r $FF | more -20
end
foreach FF ( `find . -name '*.TI' -print` `find . -name '*.TF' -print` `find . -name '*.TLS' -print` `find . -name '*.TPC' -print` `find . -name '*.TSC' -print` )
   echo " "
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo "more "$FF
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   more -20 $FF 
end
foreach FF ( `find . -name '*.ti' -print` `find . -name '*.tf' -print` `find . -name '*.tls' -print` `find . -name '*.tpc' -print` `find . -name '*.tsc' -print` )
   echo " "
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo "more "$FF
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   more -20 $FF 
end

